{
  xdg.mimeApps = {
    enable = true;
    defaultApplications =
      let
        browser = "zen.desktop";
        imageViewer = "imv.desktop";
        pdfReader = "sioyek.desktop";
      in
      {
        "text/html" = browser;
        "x-scheme-handler/http" = browser;
        "x-scheme-handler/https" = browser;
        "x-scheme-handler/about" = browser;
        "x-scheme-handler/unknown" = browser;
        "image/jpg" = imageViewer;
        "image/jpeg" = imageViewer;
        "image/png" = imageViewer;
        "image/gif" = imageViewer;
        "application/pdf" = pdfReader;
      };
  };
}
