# /nix/store/<hash>/etc/ssh/ssh_config
{
  programs.ssh.knownHosts =
    let
      domain = "dns.martials.no";
    in
    {
      desktop = {
        extraHostNames = [ "desktop.${domain}" ];
        publicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMSzXyTuQyTrWsfORQbvgrqt/33+hfSUDXeMg6D1T2wz";
      };
      thinkpad = {
        extraHostNames = [ "thinkpad.${domain}" ];
        publicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILNlHKE/BD8kKfhJD7GBk1A3whZf3gTjk9VEgGAj3qsH";
      };
    };
}
